import React, { useState, useEffect } from 'react'
import './css/mystyle.scss'
import './js/jquery-3.2.1.slim.min.js'
import slider from '../../../Assets/images/slider-1252.jpg';
import menu from '../../../Assets/images/menu (1).png';
import { Helmet } from 'react-helmet';
import 'bootstrap/dist/js/bootstrap.min.js'
import logo from '../../../Assets/logo.png';
import helper from '../../../Helper/function';
import './css/style.scss'
import './css/responsive.scss'
import { NavLink } from 'react-router-dom';
import Footer from "./Footer"
import FacebookIcon from '@mui/icons-material/Facebook';
import GoogleIcon from '@mui/icons-material/Google';
import TwitterIcon from '@mui/icons-material/Twitter';
import InstagramIcon from '@mui/icons-material/Instagram';
import SubscriptionsOutlinedIcon from '@mui/icons-material/SubscriptionsOutlined';
export default function DpBossMatka() {
    const [frontData, setFrontData] = useState([]);
    const [blogData, setBlogData] = useState([]);
    const [blog_image, setBlogImage] = useState([]);
    const getFrontData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const front_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_front_data = await fetch(process.env.APIURL + "/view-front-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: front_data
            });
            const finalFrontData = await api_front_data.json();

            const responseData = finalFrontData.resData;
            const responseKey = finalFrontData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalFrontData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setFrontData(JSON.parse(enc_finalFrontData))
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getFrontData();
    }, []);
    const getBlogData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const blog_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_blog_data = await fetch(process.env.APIURL + "/get-all-blogs", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: blog_data
            });
            const finalBlogData = await api_blog_data.json();
            const responseData = finalBlogData.resData;
            const responseKey = finalBlogData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalBlogData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setBlogData(JSON.parse(enc_finalBlogData).result)
            setBlogImage(JSON.parse(enc_finalBlogData).path)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBlogData();
    }, []);
    function scroll() {
        document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
    }

    const heightManage = () => {
        count += 1;
        if (count % 2 == 1) {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'block';
            document.getElementById("navbarSupportedContent").style.marginLeft = '20px';
            document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
        } else {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'none';
            document.getElementById("navbarSupportedContent").style.marginLeft = '0px';
            document.getElementById("scroll").style.backgroundColor = "none";
        }

    }
    return (
        <>
            <Helmet>
                <title>Dp Boss Matka - Dp Boss | Tejonlinematka.Com</title>
                <meta charSet='utf-8' />
                <meta name="description" content="Play Matka DP Boss game and be the first to know all games results online with TEJ ONLINE MATKA. Here you will find Satta Matka DP Boss game and more. Join us now!" />
                <meta name="keywords" content="satka matka kalyan
                    matka satka kalyan
                    satta kalyan matka
                    satta matta kalyan
                    matka kalyan satta matka
                    kalyan matka online
                    kalyan satta result
                    satka matka kalyan result
                    satta matta matka kalyan result
                    matka satta kalyan result
                    result kalyan
                    kalyan satta results
                    kalyan fastest result
                    kalyan online matka result" />
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                <meta property='og:image' content={`${process.env.APIURL}/uploads/seo/${frontData.open_graph_image}`} />
                <meta property="og:url" content="http://142.132.229.43/" />
                <meta property="og:type" content="website" />
                <meta property="og:title" content={`${frontData.page_title}`} />
                <meta property="og:description" content={`${frontData.meta_description}`} />
                {frontData.meta_remaining}
                {frontData.open_graph}
            </Helmet>
            <div style={{ overflowY: 'scroll', overflowX: 'hidden', height: '100%' }} onScroll={scroll}>
                <header className="header-arya-sec" id="scroll" >
                    <div className="container" style={{ padding: "0px" }} >
                        <nav className="navbar navbar-expand-lg">
                            <a className="navbar-brand logo-a" href={`${process.env.BASEURL}`}><img src={logo} width='50px' alt="tej matka logo" /></a>
                            <button className="navbar-toggler navbar-toggler-152" onClick={heightManage} type="button" data-toggle="collapse"
                                data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                                aria-label="Toggle navigation">
                                <img src={menu} style={{ width: "25px" }} aria-hidden="true" />
                            </button>
                            <div className="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul className="navbar-nav ml-auto">
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#home">Home </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href={`${process.env.BASEURL}blogs`}>Blogs </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#result">Results </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#about">About Us </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#chart">Time Table</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#rate">Rate Chart</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#how">How to Play</a>
                                    </li>
                                    <li class="nav-item dropdown-custom">
                                        <a href='#' className='nav-link'>Marketsss</a>
                                        <div class="dropdown-custom-content">
                                            <div className='d-flex flex-column'>
                                                <NavLink className="cursor-pointer p-2" to='/dp-boss-matka'>
                                                    DP Boss Matka
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/satta-king'>
                                                    Satta King
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/gali-disawar'>
                                                    Gali Disawar
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/kalyan-results'>
                                                    Kalyan Result
                                                </NavLink>
                                            </div>
                                        </div>
                                    </li>
                                    {/* <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Markets
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                            <a class="dropdown-item" href="#">DP Boss Matka</a>
                                            <a class="dropdown-item" href="#">Satta King</a>
                                            <a class="dropdown-item" href="#">Gali Disawar</a>
                                            <a class="dropdown-item" href="#">Kalyan Result</a>
                                        </div>
                                    </li> */}
                                </ul>
                                <div className='row'>
                                    {frontData.facebook != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-fb">
                                                <a target="_blank" rel="noreferrer" href={frontData.facebook}><FacebookIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.google_plus != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-google">
                                                <a target="_blank" rel="noreferrer" href={frontData.google_plus}><GoogleIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.twitter != "" ?

                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-twitter">
                                                <a target="_blank" rel="noreferrer" href={frontData.twitter}><TwitterIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.instagram != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-insta">
                                                <a target="_blank" rel="noreferrer" href={frontData.instagram}><InstagramIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.youtube != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-yt">
                                                <a target="_blank" rel="noreferrer" href={frontData.youtube}><SubscriptionsOutlinedIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                </div>
                            </div>

                        </nav>
                    </div>
                </header>
                <section className="slider-sec-blogs" id='sec' style={{ backgroundImage: `url(${slider}` }}>
                    <div className="container">
                        <div className="row">
                            <div className="col-lg-12 col-12 col-sm-7">
                                <div className="slider-main-hed">
                                    <h1>DP Boss Matka: Cash it on each correct guess</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts blogs-card-img">
                    <div className="container">
                        <h3 className="text-center">About Game</h3>
                        <hr />
                        <div className='row'>
                            {/* <div className='col-lg-4 col-12 col-sm-12'>
                        <div class="card card-blogs">
                            <img class="card-img-top" src={slider} alt="Card image cap"/>
                            <div class="card-body">
                                <h5 class="card-title">Card Title</h5>
                                <p class="card-text">some description about blogs that added from admin</p>
                                <a href="#" class="btn btn-primary view-more-blogs">View More</a>
                            </div>
                            <div>
                                <p class="by-admin-tag">By Admin</p>
                            </div>
                        </div>
                    </div> */}
                            <div class="card mb-5">
                                <div class="card-body">
                                    <h1>DP Boss Matka: Cash it on each correct guess</h1>
                                    <p>
                                        Are you excited about steady income and zero loans? Want to have good insurance rates or get peer recognition? You can have all your longings satisfied with Satta DP Boss – now available with Tej.
                                        DP Boss is known for a well-familiar gaming scenario with several extras. But whether you are fond of guessing in a conservative or more whimsical way, DP Boss Satta can be right up your alley. It’s the game of choice of all Matka admirers who have already made a fortune with it.
                                        How can you take a crack at this Matka variety? First, download the Tej application if you are an Android user. If you are not, you can install it on your PC or play DP Boss online on this website. Tej has got all players covered.
                                        Once the app is installed, you need to complete an easy registration process and log in. Specify personal data in your account profile, so you can withdraw your winnings quickly. They won’t be long in coming.
                                    </p>
                                    <h2>How to win the Indian DP Boss game?</h2>
                                    <p>
                                        As a first-time Matka player, you may assume that professionals are extrasensory perception adepts. But they are not! You can catch up with – and surpass them – if your attempts are regular and well-planned.
                                        There are a few ways to achieve it with DP Boss. You can do math by analyzing previous game results to determine what numbers can give you an easy win. Or you can listen to your intuition, an individual’s best compass if developed well.
                                        To get more winning DP Boss Satta Matka results than inexperienced players, do the following:
                                        Make a list of the numbers that you often bump into (this may be for a reason)
                                        Base your guesses on all events you have a thing for (e.g., Gandhi Jayanti)
                                        Learn more about open and close Matka rounds
                                        Create digit combinations with proven tips you can find in the app or online
                                        Take a closer look at the charts
                                        Double down on every opportunity to hit DP Boss
                                        Giving up after the first misfortune may deter you from winning big later. Your dreams are doomed to failure unless you keep playing with enthusiasm despite one day’s results.
                                    </p>
                                    <h2>Play DP Boss Matka online when you want to</h2>
                                    <p>
                                        Gone are the days when you had to make time to play Matka offline and manually track what gets in and out. All the processes are now simplified with Tej. You just need to click the relevant section, whether for placing a bet or checking your winnings.
                                        Become a guru of DP Boss Matka online without jeopardizing your budget and avail yourself of available control tools. Thus, you can keep an eye on how much money you still have for playing and avoid taking it too far. Use the Bid History, Win History, Wallet, and other integrated Tej features. These are developed to add to your DP Boss experience while complying with responsible gambling practices.
                                    </p>
                                    <a href={`${process.env.BASEURL}customer/login`} class="btn btn-primary">Play Now</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <Footer />
            </div>
        </>
    )
}
