import React, { useState, useEffect } from 'react'
import './css/mystyle.scss'
import './js/jquery-3.2.1.slim.min.js'
import slider from '../../../Assets/images/slider-1252.jpg';
import menu from '../../../Assets/images/menu (1).png';
import { Helmet } from 'react-helmet';
import 'bootstrap/dist/js/bootstrap.min.js'
import logo from '../../../Assets/logo.png';
import helper from '../../../Helper/function';
import './css/style.scss'
import './css/responsive.scss'
import { NavLink } from 'react-router-dom';
import Footer from "./Footer"
export default function GaliDisawar() {
    const [frontData, setFrontData] = useState([]);
    const [blogData, setBlogData] = useState([]);
    const [blog_image, setBlogImage] = useState([]);
    const getFrontData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const front_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_front_data = await fetch(process.env.APIURL + "/view-front-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: front_data
            });
            const finalFrontData = await api_front_data.json();

            const responseData = finalFrontData.resData;
            const responseKey = finalFrontData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalFrontData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setFrontData(JSON.parse(enc_finalFrontData))
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getFrontData();
    }, []);
    const getBlogData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const blog_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_blog_data = await fetch(process.env.APIURL + "/get-all-blogs", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: blog_data
            });
            const finalBlogData = await api_blog_data.json();
            const responseData = finalBlogData.resData;
            const responseKey = finalBlogData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalBlogData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setBlogData(JSON.parse(enc_finalBlogData).result)
            setBlogImage(JSON.parse(enc_finalBlogData).path)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBlogData();
    }, []);
    function scroll() {
        document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
    }

    const heightManage = () => {
        count += 1;
        if (count % 2 == 1) {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'block';
            document.getElementById("navbarSupportedContent").style.marginLeft = '20px';
            document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
        } else {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'none';
            document.getElementById("navbarSupportedContent").style.marginLeft = '0px';
            document.getElementById("scroll").style.backgroundColor = "none";
        }

    }
    return (
        <>
            <Helmet>
                <title>Gali Disawar - Satta Matka Gali Disawar | Tejonlinematka.Com</title>
                <meta charSet='utf-8' />
                <meta name="description" content=" Play Gali Disawar Satta game and be the first to know all games results online with TEJ ONLINE MATKA. Here you will find Disawar Gali Satta games and more. Join us now!" />
                <meta name="keywords" content="satka matka kalyan
                    matka satka kalyan
                    satta kalyan matka
                    satta matta kalyan
                    matka kalyan satta matka
                    kalyan matka online
                    kalyan satta result
                    satka matka kalyan result
                    satta matta matka kalyan result
                    matka satta kalyan result
                    result kalyan
                    kalyan satta results
                    kalyan fastest result
                    kalyan online matka result" />
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                <meta property='og:image' content={`${process.env.APIURL}/uploads/seo/${frontData.open_graph_image}`} />
                <meta property="og:url" content="http://142.132.229.43/" />
                <meta property="og:type" content="website" />
                <meta property="og:title" content={`${frontData.page_title}`} />
                <meta property="og:description" content={`${frontData.meta_description}`} />
                {frontData.meta_remaining}
                {frontData.open_graph}
            </Helmet>
            <div style={{ overflowY: 'scroll', overflowX: 'hidden', height: '100%' }} onScroll={scroll}>
                <header className="header-arya-sec" id="scroll" >
                    <div className="container" style={{ padding: "0px" }} >
                        <nav className="navbar navbar-expand-lg">
                            <a className="navbar-brand logo-a" href="#"><img src={logo} width='50px' alt='tej matka logo' /></a>
                            <button className="navbar-toggler navbar-toggler-152" onClick={heightManage} type="button" data-toggle="collapse"
                                data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                                aria-label="Toggle navigation">
                                <img src={menu} style={{ width: "25px" }} aria-hidden="true" />
                            </button>
                            <div className="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul className="navbar-nav ml-auto">
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#home">Home </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href={`${process.env.BASEURL}blogs`}>Blogs </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#result">Results </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#about">About Us </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#chart">Time Table</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#rate">Rate Chart</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#how">How to Play</a>
                                    </li>
                                    <li class="nav-item dropdown-custom">
                                        <a href='#' className='nav-link'>Marketsss</a>
                                        <div class="dropdown-custom-content">
                                            <div className='d-flex flex-column'>
                                                <NavLink className="cursor-pointer p-2" to='/dp-boss-matka'>
                                                    DP Boss Matka
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/satta-king'>
                                                    Satta King
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/gali-disawar'>
                                                    Gali Disawar
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/kalyan-results'>
                                                    Kalyan Result
                                                </NavLink>
                                            </div>
                                        </div>
                                    </li>
                                    {/* <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Markets
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                            <a class="dropdown-item" href="#">DP Boss Matka</a>
                                            <a class="dropdown-item" href="#">Satta King</a>
                                            <a class="dropdown-item" href="#">Gali Disawar</a>
                                            <a class="dropdown-item" href="#">Kalyan Result</a>
                                        </div>
                                    </li> */}
                                </ul>
                                <div className='row'>
                                    {frontData.facebook != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-fb">
                                                <a target="_blank" rel="noreferrer" href={frontData.facebook}><FacebookIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.google_plus != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-google">
                                                <a target="_blank" rel="noreferrer" href={frontData.google_plus}><GoogleIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.twitter != "" ?

                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-twitter">
                                                <a target="_blank" rel="noreferrer" href={frontData.twitter}><TwitterIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.instagram != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-insta">
                                                <a target="_blank" rel="noreferrer" href={frontData.instagram}><InstagramIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.youtube != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-yt">
                                                <a target="_blank" rel="noreferrer" href={frontData.youtube}><SubscriptionsOutlinedIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                </div>
                            </div>
                        </nav>
                    </div>
                </header>
                <section className="slider-sec-blogs" id='sec' style={{ backgroundImage: `url(${slider}` }}>
                    <div className="container">
                        <div className="row">
                            <div className="col-lg-12 col-12 col-sm-7">
                                <div className="slider-main-hed">
                                    <h1>Matka Satta Gali Disawar is ready to be the next big thing</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts blogs-card-img">
                    <div className="container">
                        <h3 className="text-center">About Game</h3>
                        <hr />
                        <div className='row'>
                            {/* <div className='col-lg-4 col-12 col-sm-12'>
                        <div class="card card-blogs">
                            <img class="card-img-top" src={slider} alt="Card image cap"/>
                            <div class="card-body">
                                <h5 class="card-title">Card Title</h5>
                                <p class="card-text">some description about blogs that added from admin</p>
                                <a href="#" class="btn btn-primary view-more-blogs">View More</a>
                            </div>
                            <div>
                                <p class="by-admin-tag">By Admin</p>
                            </div>
                        </div>
                    </div> */}
                            <div class="card mb-5">
                                <div class="card-body">
                                    <p class="card-text">
                                        You need neither the rabbit’s foot nor an elephant facing your door to snatch some gold coins. It all starts with Matka. If you believe you can win Disawar Gali, let this confidence take you further. Give some guessing a whirl by downloading the Tej app to your Android device. You can also install it on your PC or place your bet online. All options are ideal for getting impressive money rewards.
                                        Start playing Gali Disawar Satta online or using the app daily. Make smarter use of your time and check how lucky you are over the week or month. You don’t need any hard skills for that.
                                        Do this: Think about numbers that resonate with you. Is 11 the lucky number because you won some school championship on that day? It can work as a bet. Do you have a strong bond with your family? You can use their birth dates as betting numbers, too.
                                        <h2>Play the Gali Disawar game anytime</h2>
                                        A lot of time is wasted every day. You line up because of snail-paced folks, get stuck in parkways, and wait for service workers. If only you could make the most of your precious minutes. But you can! As long as you have a smartphone, you can put all these delays to good use with Tej or play Gali Disawar online at every opportunity.
                                        Do you think it may be too complicated to stay within the budget if you keep following your whim to play Satta? Do that with Tej, and you’ll instantly change your mind as you monitor all your expenses over a week, month, or last year.
                                        Do this: Click on the Bid History feature. To gain access, you need to go through the registration process and log in. Once you are there, you can review all transaction data relevant to the game you’re playing. In addition, you can double-check your spending for specific dates.
                                        <h2>How to stay on track with Disawar Gali Matka?</h2>
                                        Money is always spent faster than earned. That’s an axiom you can’t do anything about. That’s why it may seem that Satta Matka is more about spending than raking in the winnings. To bring the truth to light, get started with the Tej app for free.
                                        Want to know whether your account is topped up to meet the minimum bet amount criteria to play another session of Gali Disawar online? Open your wallet to check it. You can always replenish it with the money you’ve already won and view how many things have turned out to be in your favor.
                                        Do this: Hit the Win History button and scroll through your winnings to manage your money. You can also avail yourself of this data to pinpoint the days when you beat your best with the game of Gali Disawar. It may happen that you should play on Mondays and Fridays but skip never-lucky Tuesdays. Find your ideal guessing recipe and stick to it!
                                    </p>
                                    <a href={`${process.env.BASEURL}customer/login`} class="btn btn-primary">Play Now</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <Footer />
            </div>
        </>
    )
}
