import React from "react"
import Slider from "react-slick";
import home from './images/screenshots/home.png';
import login from './images/screenshots/login.png';
import sidebar from './images/screenshots/sidebar.png';
import signup from './images/screenshots/signup.png';
import wallet from './images/screenshots/wallet.png';
const Sliders = ()=>{
    function SampleNextArrow(props) {
        const { className, style, onClick } = props;
        return (
          <div
            className={className}
            style={{ ...style, display: "block"}}
            onClick={onClick}
          />
        );
      }
      
      function SamplePrevArrow(props) {
        const { className, style, onClick } = props;
        return (
          <div
            className={className}
            style={{ ...style, display: "block"}}
            onClick={onClick}
          />
        );
      }
      const settings = {
        dots: true,
        // centerMode: true,
        infinite: true,
        // centerPadding: "60px",
        speed: 500,
        slidesToShow: 3,
        // autoplaySpeed: 4000,
        // autoplay: true,
        slidesToScroll: 1,
        nextArrow: <SampleNextArrow />,
        prevArrow: <SamplePrevArrow />,
        responsive: [
            {
              breakpoint: 1024,
              settings: {
                slidesToShow: 2,
                slidesToScroll: 2,
                infinite: true,
                dots: true
              }
            },
            {
              breakpoint: 770,
              settings: {
                slidesToShow: 1,
                slidesToScroll: 1,
                initialSlide: 1
              }
            },
            {
              breakpoint: 480,
              settings: {
                slidesToShow: 1,
                slidesToScroll: 1
              }
            }
          ]
    };
    return(
        <div>
        <Slider {...settings}>
          <div> 
             <img src={home} style={{width:"300px"}} alt="online play matka app"/>
          </div>
          <div>
            <img src={login} style={{width:"300px"}} alt="matka app online"/>
          </div>
          <div>
            <img src={sidebar} style={{width:"300px"}} alt="matka app"/>
          </div>          
          <div>
            <img src={signup} style={{width:"300px"}} alt="satta matka app"/>
          </div>          
          <div>
            <img src={wallet} style={{width:"300px"}} alt="online matka app"/>
          </div>          
        </Slider>
      </div>
    );
}
export default Sliders