import React from 'react'
import rollate1 from "../../Assets/rollate1.png";
import { useState, useEffect } from 'react'
import rollate2 from "../../Assets/rollate2.jpg";
import rollate3 from "../../Assets/rollate3.jpg";
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import sidebar from "../../Assets/sidebar/sidebar-shape.png";
import users from "../../Assets/sidebar/users.png";
import user from "../../Assets/sidebar/user.png";
import phone from "../../Assets/sidebar/phone-call.png";
import wallet from "../../Assets/sidebar/wallet.png";
import history from "../../Assets/sidebar/history.png";
import trophy from "../../Assets/sidebar/trophy.png";
import bidhistory from "../../Assets/sidebar/bid-history.png";
import bestprice from "../../Assets/sidebar/best-price.png";
import play from "../../Assets/sidebar/play.png";
import helping from "../../Assets/sidebar/helping.png";
import share from "../../Assets/sidebar/share.png";
import rating from "../../Assets/sidebar/rating.png";
import logout from "../../Assets/sidebar/log-out.png";
import { NavLink } from 'react-router-dom';
import helper from '../../Helper/function';
import { useNavigate } from "react-router-dom";
import MenuIcon from '@material-ui/icons/Menu';
import DoubleArrowIcon from '@material-ui/icons/DoubleArrow';
import FacebookIcon from '@mui/icons-material/Facebook';
import WhatsAppIcon from '@mui/icons-material/WhatsApp';
import InstagramIcon from '@mui/icons-material/Instagram';
import TelegramIcon from '@mui/icons-material/Telegram';
import TwitterIcon from '@mui/icons-material/Twitter';
import { Helmet } from 'react-helmet';
import $ from 'jquery';
import { CopyToClipboard } from 'react-copy-to-clipboard';
import "../../css/AddFund.scss";
const CryptoJS = require('crypto-js');
import WalletIcon from '../../Assets/walletIcon.png'

const Nav = () => {
    let navigate = useNavigate();
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    var mykey = reqSessionData.resKey.match(/.{1,8}/g)
    var myKey1 = helper.changeAlphaString(mykey[1], -3)
    var myKey2 = helper.changeAlphaString(mykey[3], -3)
    var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
    const userData = helper.EncrptDecryptApiData(reqSessionData.resData, original_key, 2);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [Registered, setRegistered] = useState(reqSessionData.registered)
    const [sliderImages, setSliderImage] = useState([])
    const [sliderImagesPath, setSliderImagePath] = useState('')
    const [homed, sethomeda] = useState([]);
    const [BettingStatus, SetBettingStatus] = useState('');
    const [LogoutStatus, SetLogoutStatus] = useState('');
    // let betting_status =  (JSON.parse(userData)).betting_status == undefined ? JSON.parse(JSON.parse(userData)).betting_status :JSON.parse(userData).betting_status
    // let registeredData =  (JSON.parse(userData)).registered == undefined ? JSON.parse(JSON.parse(userData)).registered :JSON.parse(userData).registered

    const imagesData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const imageData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let imageDatas = await fetch(process.env.APIURL + "/get-how-to-play", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: imageData
            });
            const actualData = await imageDatas.json();
            if (actualData.status == true) {
                //    actualData.video_link
                const myImageData = JSON.stringify(actualData)
                sessionStorage.setItem('imagedata', myImageData);
                navigate(`/${process.env.USER}/image`, { replace: true })
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }

    const gethomedata = async () => {
        try {
            const data = { env_type: 1, unique_token: token, registered: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/get-home-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const homeactualdata = helper.EncrptDecryptApiData(responseData, original_key, 2);
            if (JSON.parse(homeactualdata).maintainence_status == 1) {
                navigate(`/${process.env.USER}/maintainence`, { replace: true })
            }
            sessionStorage.setItem("statusChanged", JSON.parse(homeactualdata).betting_status)
            const encrypted = CryptoJS.AES.encrypt("" + JSON.parse(homeactualdata).betting_status, "testkey");
            sessionStorage.setItem("beSession1skYjglUo2363gdC", encrypted.toString())
            SetBettingStatus(JSON.parse(homeactualdata).betting_status)
            SetLogoutStatus(JSON.parse(homeactualdata).logout_status);
            sethomeda((JSON.parse(homeactualdata)));
            setSliderImage(JSON.parse(homeactualdata).slider_data)
            setSliderImagePath(JSON.parse(homeactualdata).slider_path)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }

    useEffect(() => {
        gethomedata();
    }, []);

    function submitLogout() {
        sessionStorage.clear()
        navigate(`/${process.env.USER}/login`);
    }
    function copyToClipboard(text, target) {
        setTimeout(function () {
            $('#copied_tip').remove();
        }, 600);
        $(target).append("<div class='tip' id='copied_tip'>Copied!</div>");
        var input = document.createElement('input');
        input.setAttribute('value', text);
        document.body.appendChild(input);
        input.select();
        var result = document.execCommand('copy');
        document.body.removeChild(input)
        return result;
    }

    if (LogoutStatus === 1) {
        sessionStorage.clear()
        navigate(`/${process.env.USER}/login`);
    }


    const ProfileData = async (e) => {
        try {
            let myUserProfileEncrept = sessionStorage.getItem('UserData');
            let myresponseData = JSON.parse(myUserProfileEncrept);
            // const decncriptionData = helper.EncrptDecryptApiData(myresponseData.responseData, original_key, 2)
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const userProfileData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let userDatas = await fetch(process.env.APIURL + "/get-user-profile", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: userProfileData
            });
            const actualData = await userDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const UserProfile_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
            sessionStorage.setItem('profileDataUser', UserProfile_data);
            navigate(`/${process.env.USER}/profile`, { replace: true })
            //   setData((JSON.parse(UserProfile_data)));

        } catch (err) {
            console.log("Your Error is", err);
        }
    }



    const ContactData = async (e) => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const contactData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let contactDatas = await fetch(process.env.APIURL + "/get-contact-us-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: contactData
            });
            const actualData = await contactDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const contact_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
            sessionStorage.setItem('contactdata', contact_data);
            navigate(`/${process.env.USER}/contact`, { replace: true })
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    if (window.location == process.env.BASEURL + process.env.USER + "/home") {
        onpopstate = function (event) {
            $('#staticBackdrop').hide()
            $('.modal-backdrop').remove()
            navigate(`/${process.env.USER}/home`)
        }
    }
    return (
        <>
            <Helmet>
                <title>TEJ MATKA</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>

            <div className="col-sm-6 m-auto responsive">
                <div className='col-sm-12 text-center header-main justify-content-center text-center align-items-center' style={{ backgroundColor: "#191c21" }} >
                    <div className='row'>
                        <div className="col-2">
                            <button className="btn btn-white text-white " style={{ paddingTop: '10px' }} type="button" data-bs-toggle="offcanvas" id="sidebarClickButton" data-bs-target="#offcanvasLeft" aria-controls="offcanvasLeft"><MenuIcon /> </button>
                        </div>
                        <div className=' text-center col-6 justify-content-center align-items-center text-center'>
                            <h5 className="text-white title fs-9 mb-2 h2" style={{ overflowWrap: 'inherit', fontSize: '15px', fontWeight: '500', paddingTop: '15px' }}>TEJ ONLINE MATKA</h5>
                        </div>
                        {(BettingStatus != 0) ?
                            <div className="col-4 data2 d-flex " style={{ paddingTop: '10px' }}>
                                <NavLink className="NavLink" to={`/${process.env.USER}/wallet`}><img className="icon-images text-light" src={WalletIcon} /><span style={{ marginLeft: "5px" }} >{(homed.wallet_balance != "") ? homed.wallet_balance : '00000'} Pts</span></NavLink>
                            </div>
                            :
                            <div className="col-4 data2 d-flex justify-content-center align-items-center ">
                                <NavLink className="NavLink" to={`/${process.env.USER}/wallet`} style={{ visibility: "hidden" }}><img className="icon-images text-light" src={WalletIcon} /><span>{homed.wallet_balance} Pts</span></NavLink>
                            </div>
                        }
                    </div>



                    <div className="offcanvas offcanvas-start start sidebar-resposive" tabIndex="-1" id="offcanvasLeft" aria-labelledby="offcanvasLeftLabel">

                        <div className="offcanvas-header sidebar-icon " style={{ top: "-10px", right: "0px" }}>
                            <button type="button" className="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                        </div>

                        <div className="color-ground-back overflow-y-scroll">
                            <div className="mimage d-flex justify-content-center text-center align-items-center" >
                                <img src={sidebar} className='sideimage w-100 ' />
                                <div className="markuserimage justify-content-center text-center align-items-center">
                                    <img src={users} className="userImage" width="60px" />
                                    <p className='media'>{homed.username} </p>
                                    <p className="media1">{homed.user_mobile}</p>
                                </div>
                            </div>


                            <div className="row imagesource w-100">
                                <div className=" headers col-2">
                                    <img src={user} alt="" className='titleImage' width="30px" />
                                </div>

                                <div className="profile col-10">
                                    <div className="NavLink  sidebar-navigation" onClick={(e) => ProfileData(e)}>Profile</div>
                                </div>

                                <div className=" headers col-2 pt-3">
                                    <img src={phone} alt="" className='titleImage' width="30px" />
                                </div>
                                <div className="profile col-10 pt-3">
                                    <div className="NavLink  sidebar-navigation" onClick={(e) => ContactData(e)}>CONTACT</div>
                                </div>
                            </div>
                            <hr />
                            {(BettingStatus != 0) ?
                                <>
                                    <div className="row imagesource2 w-100">
                                        <div className="headers col-2">
                                            <img src={wallet} alt="" className='titleImage' width="30px" />
                                        </div>
                                        <div className="profile col-10">
                                            <NavLink className="NavLink" to={`/${process.env.USER}/wallet`}>WALLET</NavLink>
                                        </div>
                                        <div className="headers col-2 pt-3">
                                            <img src={trophy} alt="" className='titleImage' width="30px" />
                                        </div>
                                        <div className="profile col-10 pt-3">
                                            <NavLink className="NavLink" to={`/${process.env.USER}/resultwin`}>Win History</NavLink>
                                        </div>
                                        <div className="headers col-2 pt-3">
                                            <img src={bidhistory} alt="" className='titleImage' width="30px" />
                                        </div>
                                        <div className="profile col-10 pt-3">
                                            <NavLink className="NavLink" to={`/${process.env.USER}/result`}>Bid History</NavLink>
                                        </div>
                                    </div>
                                    <hr />
                                </>
                                : <></>}
                            {(BettingStatus != 0) ?
                                <div className="row imagesource3 w-100">
                                    <div className="headers col-2">
                                        <img src={bestprice} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10">
                                        <NavLink className="NavLink" to={`/${process.env.USER}/rates`}>GAME RATE </NavLink>
                                    </div>
                                    <div className="headers col-2  pt-3">
                                        <img src={bestprice} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10  pt-3">
                                        <NavLink className="NavLink" to={`/${process.env.USER}/referandearn`}>REFER & EARN</NavLink>
                                    </div>
                                    <div className="headers col-2 pt-3">
                                        <img src={play} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <div className="NavLink  sidebar-navigation" onClick={(e) => imagesData(e)}>HOW TO PLAY</div>
                                    </div>
                                    <div className="headers col-2 pt-3">
                                        <img src={share} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <div className="NavLink  sidebar-navigation" to="#" data-bs-toggle="modal" data-bs-target="#myModel" id="shareBtn" data-bs-placement="top">SHARE</div>
                                    </div>
                                    <div className="headers col-2 pt-3">
                                        <img src={rating} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <a className="NavLink" href=" https://play.google.com/store/apps/details?id=com.e1.matka ">APP RATE</a>
                                    </div>
                                    <div className="headers col-2 pt-3">
                                        <img src={rating} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <NavLink className="NavLink" to={`/${process.env.USER}/change`}>CHANGE PASSWORD</NavLink>
                                    </div>
                                </div>
                                :
                                <div className="row imagesource3 w-100">
                                    <div className="headers col-2 pt-3">
                                        <img src={share} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <div className="NavLink" to="#" data-bs-toggle="modal" data-bs-target="#myModel" id="shareBtn" data-bs-placement="top">SHARE</div>
                                    </div>
                                    <div className="headers col-2 pt-3">
                                        <img src={rating} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <a className="NavLink" href=" https://play.google.com/store/apps/details?id=com.e1.matka ">APP RATE</a>
                                    </div>
                                    <div className="headers col-2 pt-3">
                                        <img src={rating} alt="" className='titleImage' width="30px" />
                                    </div>
                                    <div className="profile col-10 pt-3">
                                        <NavLink className="NavLink" to={`/${process.env.USER}/change`}>CHANGE PASSWORD</NavLink>
                                    </div>
                                </div>
                            }
                            <hr />
                            <div className="row imagesource w-100">
                                <div className="headers col-2">
                                    <img src={logout} alt="" className='titleImage' width="30px" />
                                </div>
                                <div className="profile col-10">
                                    <div className="NavLink  sidebar-navigation" data-bs-toggle="modal" data-bs-target="#staticBackdrop">LOG OUT</div>
                                </div>
                            </div>

                        </div>




                    </div>
                </div>
                <div id="carouselExampleControls" className="carousel slide" data-bs-ride="carousel">
                    <div className="carousel-inner images cl1">
                        {sliderImages.map((item, index) => {
                            return (
                                <div className={`carousel-item photo ${index == 0 ? 'active' : ''}`}>
                                    {
                                        item.url_type == 2 ?
                                            <a href={`${item.img_url}`} target="_blank">
                                                <img src={`${process.env.APIURL + '/' + sliderImagesPath + item.image}`} className="d-block w-100 rolletes" alt={`slider images ${index}`} />
                                            </a>
                                            :
                                            <NavLink className="NavLink" to={`/${process.env.USER}/sliderRedirect`} state={item.img_url}>
                                                <img src={`${process.env.APIURL + '/' + sliderImagesPath + item.image}`} className="d-block w-100 rolletes" alt={`slider images ${index}`} />
                                            </NavLink>
                                    }
                                </div>
                            )
                        })}
                    </div>
                    <button className="carousel-control-prev" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="prev">
                        <span className="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span className="visually-hidden">Previous</span>
                    </button>
                    <button className="carousel-control-next" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="next">
                        <span className="carousel-control-next-icon" aria-hidden="true"></span>
                        <span className="visually-hidden">Next</span>
                    </button>
                </div>
            </div>

            <div className="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content">
                        <div className="modal-header border-0">
                            <button type="button" className="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div className="modal-body text-left">
                            <div className="p-1">
                                <h6>Do you really want to logout?</h6>
                            </div>
                        </div>
                        <div className="modal-footer border-0">
                            <button type="button" className="btn btn-danger" style={{ fontWeight: "bold" }} data-bs-dismiss="modal">No</button>
                            <button type="button" id="disablephonepe" data-bs-dismiss="modal" className="btn btn-dark" onClick={submitLogout} style={{ fontWeight: "bold" }}>Yes</button>
                        </div>
                    </div>
                </div>
            </div>

            <div className="modal fade" id="myModel" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="logoutLabal" aria-hidden="true">
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content" style={{ zIndex: "99999" }}>
                        <button type="button" className="btn-close text-center ms-auto p-3" data-bs-dismiss="modal" aria-label="Close"></button>
                        <div className="modal-body m-auto mb-5">
                            <p className='ModalText ps-2'>Share this link via</p>
                            <div className="d-flex align-items-center icons"> <a href="https://www.facebook.com/login/" target="_blank" className="fs-5 d-flex align-items-center justify-content-center"> <span><FacebookIcon /></span> </a> <a href="https://twitter.com/" target="_blank" className="fs-5 d-flex align-items-center justify-content-center"> <span><TwitterIcon /></span> </a> <a href="https://www.instagram.com/" target="_blank" className="fs-5 d-flex align-items-center justify-content-center"> <span><InstagramIcon /></span> </a> <a href="whatsapp://send?text=http://13.127.102.122" target="_blank" className="fs-5 d-flex align-items-center justify-content-center"> <span><WhatsAppIcon /></span> </a> <a href="https://web.telegram.org/z/" target="_blank" className="fs-5 d-flex align-items-center justify-content-center"> <span><TelegramIcon /></span> </a> </div>
                            <p className='ModalText ps-2'>Or copy link</p>
                            <div className="field d-flex align-items-center justify-content-between"> <span className="fas fa-link text-center"></span> <input type="text" value={`${process.env.BASEURL}`} disabled />
                                <CopyToClipboard text={process.env.BASEURL}>
                                    <button id="copytext" className="btn btn-dark">Copy</button>
                                </CopyToClipboard>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </>

    )
}

export default Nav;