import React, { useState, useEffect } from 'react'
import ArrowBackIcon from '../../../Assets/back.png';
import { Helmet } from 'react-helmet';
import { NavLink } from 'react-router-dom';
import helper from '../../../Helper/function';
import { ToastContainer, toast } from 'react-toastify';
import { useNavigate } from 'react-router-dom';
import $ from 'jquery';
import 'jquery/dist/jquery.min.js';
import classnames from 'classnames';
import tokenimg from '../../../Assets/token.png';
import phone from '../../../Assets/phonepeup.png'
import gpay from '../../../Assets/gpay.png';
import paytm from '../../../Assets/paytm.png';
import ArrowForwardSharpIcon from '@mui/icons-material/ArrowForwardSharp';
import Input from 'react-otp-input';

const WithdrawMethods = () => {
    const [walletBalance, setWalletBalance] = useState([]);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [typetype, Settypetype] = useState('');
    const [mobilencheck, setMobilencheck] = useState([]);
    const [phonepeerr, Setphonepeerr] = useState('');
    const [googlepayerr, Setgooglepayerr] = useState('');
    const [paytmnumbererr, Setpaytmnumbererr] = useState('');
    const [phonepe, Setphonepe] = useState('');
    const [googlepay, Setgooglepay] = useState('');
    const [paytmnumber, Setpaytmnumber] = useState('');

    const [otpmobi, setotpmobi] = useState([]);
    const [homed, sethomeda] = useState('');
    const [count, setCount] = useState(2);
    const [payotp, setpayotp] = useState('');
    const [payotperr, setpayotperr] = useState('');
    const navigate = useNavigate();
    const getBalanceData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-user-wallet-balance", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setWalletBalance(JSON.parse(walletBalances));
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    const getMobileData = async (e) => {
        if (payotp.length == 4) {
            try {
                const data =
                {
                    env_type: 1,
                    mobile: homed,
                    otp: payotp
                }
                const encKey = helper.randomString(32);
                var mykey = encKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
                const walletmob = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
                let walletMobDatas = await fetch(process.env.APIURL + "/check-user-otp", {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        "Accept": "application/json",
                        "Origin": process.env.BASEURL
                    },
                    body: walletmob
                });
                const validateaotpData = await walletMobDatas.json();
                toast(validateaotpData.message);
                if (validateaotpData.status == true) {
                    try {
                        const data =
                        {
                            env_type: 1,
                            unique_token: token,
                            paytm_no:paytmnumber,
                            google_pay_no: googlepay,
                            phon_pay_no: phonepe,
                            upi_type:typetype
                        }
                        const encKey = helper.randomString(32);
                        var mykey = encKey.match(/.{1,8}/g)
                        var myKey1 = helper.changeAlphaString(mykey[1], -3)
                        var myKey2 = helper.changeAlphaString(mykey[3], -3)
                        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                        const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
                        const walletmob = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
                        let walletMobDatas = await fetch(process.env.APIURL + "/add-user-upi-details", {
                            method: 'POST',
                            headers: {
                                "Content-Type": "application/json",
                                "Accept": "application/json",
                                "Origin": process.env.BASEURL
                            },
                            body: walletmob
                        });
                        const actualaotpData = await walletMobDatas.json();
                        $('#phonepeotp').hide()
                        $('.modal-backdrop').remove()
                        toast(actualaotpData.message);
                        setCount(2);
                    } catch (err) {
                        console.log("Your Error is", err);
                    }
                } else {
                    setpayotperr('');
                    setpayotp('');
                    setCount(count - 1);
                    { toast(`You have entered Wrong Otp, ${count} Attempt Left`) };
                    if (count < 1) {
                        $('#phonepeotp').hide()
                        $('.modal-backdrop').remove()
                        navigate(`/${process.env.USER}/WithdrawMethods`, { replace: true })
                        setCount(2);
                    }

                }
            } catch (err) {
                console.log("Your Error is", err);
            }
        } else {
            setpayotperr('OTP required');
        }

        const phonepeclr = document.getElementById('phonepayn');
        phonepeclr.value = '';
        e.preventDefault()
        setpayotp('');
        // const gpayclrs = document.getElementById('googlepayn');
        // gpayclrs.value = '';
        // e.preventDefault()
        // setpayotp('');
        // const firstNameInput = document.getElementById('paytmn');
        // firstNameInput.value = '';
        // e.preventDefault()
        // setpayotp('');
    }
    function verifyMobileNumber(type) {
        Settypetype(type);
        if (type == 1) {
            $("#payTypeLabel").html("Paytm Number");
        } else if (type == 2) {
            $("#payTypeLabel").html("Gpay Number");
        } else {
            $("#payTypeLabel").html("PhonePe Number");
        }
        var element = document.getElementById("phonepayn");
        element.classList.remove("is-valid");
        $("#disablephonepe").attr("disabled", true);
        myfunction();
        async function myfunction() {
            try {
                const data = { env_type: 1, unique_token: token }
                const encKey = helper.randomString(32);
                var mykey = encKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

                const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
                const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
                let walletBalanceDatas = await fetch(process.env.APIURL + "/get-user-payment-details", {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        "Accept": "application/json",
                        "Origin": process.env.BASEURL
                    },
                    body: walletBal
                });
                const actualData = await walletBalanceDatas.json();
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
                setMobilencheck(JSON.parse(walletBalances));
                if (type == 1) {
                    $("#phonepayn").val(JSON.parse(walletBalances).paytm_number);
                } else if (type == 2) {
                    $("#phonepayn").val(JSON.parse(walletBalances).google_pay_number);
                } else {
                    $("#phonepayn").val(JSON.parse(walletBalances).phonepe_number);
                }
                Setphonepeerr('')

            } catch (err) {
                console.log("Your Error is", err);
            }
        }
    }
    useEffect(() => {
        getBalanceData();
    }, []);
    const haldleChange = (e, name) => {
        const user = {};
        user[name] = e.target.value;
        switch (name) {
            case 'phonepayn':
                if (user.phonepayn.length !== 10) {
                    Setphonepeerr('Number Should be 10 Digits ')
                    Setphonepe(user.phonepayn)
                } else {
                    Setphonepeerr('')
                    Setphonepe(user.phonepayn)
                }
                break;
            case 'googlepayn':
                if (user.googlepayn.length !== 10) {
                    Setgooglepayerr('Number Should be 10 Digits ')
                    Setgooglepay(user.googlepayn)
                } else {
                    Setgooglepayerr('')
                    Setgooglepay(user.googlepayn)
                }
                break;
            case 'paytmn':
                if (user.paytmn.length !== 10) {
                    Setpaytmnumbererr('Number Should be 10 Digits ')
                    Setpaytmnumber(user.paytmn)
                } else {
                    Setpaytmnumbererr('')
                    Setpaytmnumber(user.paytmn)
                }
                break;
            case 'paytmn':
                Setpaytmnumber(user.paytmn)
                user.paytmn.length > 10 ? SetnumberErr('Number Should be 10 Digits ') : SetnumberErr('');
                break;
            case 'payotp':
                setpayotp(user.payotp)
                user.payotp.length > 3 ? setpayotperr('Number Should be 10 Digits ') : Setpaytmnumbererr('');
                break;
            default: break;
        }
    }
    const getotpdetails = async () => {
        try {
            const data =
            {
                env_type: 1,
                unique_token: token
            }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletmob = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletMobDatas = await fetch(process.env.APIURL + "/api-validate-bank", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletmob
            });
            const actualData = await walletMobDatas.json();
            setotpmobi(actualData);
            toast(actualData.message);
        } catch (err) {
            console.log("Your Error is", err);
        }
        document.getElementById('phonepayn').value = '';
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/get-home-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const homeactualdata = helper.EncrptDecryptApiData(responseData, original_key, 2);
            sethomeda((JSON.parse(homeactualdata).user_mobile));
            // window.clearInterval(helper.phonepeTimer());
            helper.phonepeTimer()
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    function clearphonepe(e) {
        // window.clearInterval(helper.phonepeTimer());
        e.preventDefault()
        $("#disablephonepe").attr("disabled", true);
        document.getElementById('phonepayn').value = '';
        setpayotp('');
        Setphonepeerr('')
        setCount(2);
        $('.modal-backdrop').remove()
    }
    const ResendOtpphone = async (e) => {
        e.preventDefault()
        clearInterval(helper.phonepeTimer());
        helper.phonepeTimer()
        try {
            const data = { env_type: 1, mobile: homed }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const ResendData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            helper.phonepeTimer();

            let result = await fetch(process.env.APIURL + "/resend-otp", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: ResendData
            });
            const actualResendData = await result.json();
            if (actualResendData.status == true) {
                // toast(actualResendData.message)
                toast("Otp send to registered mobile number")
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }

    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>

            <div className=' col-sm-4 m-auto' style={{ overflowY: "scroll", height: "100vh" }}>
                <div className='container-fluid bg-dark text-white'>

                    <div className='row py-2 walletmpin'>

                        <div className='col-md-1 col-1'>
                            <NavLink to={`/${process.env.USER}/wallet`} className="NavLink"><span ><img src={ArrowBackIcon} width="30px" className="mb-1" alt="backIcon" /></span></NavLink>
                        </div>
                        <div className='col-md-2 col-8 mt-2' style={{ marginLeft: "10px" }}><h5>Withdraw Methods</h5></div>
                    </div>
                    <div className='row'>
                        <div className='col-12 back-color'>&nbsp;</div>
                    </div>
                </div>
                <div className='container-fluid'>
                    <div className='row h-100 m-auto'>
                        <div className='col-12 offset-1 bg-body rounded text-center p-3 shadow translate-middle-y m-auto'>
                            <h2 className='text-uppercase fs-4 l-spacing'>Total Amount</h2>
                            <div className='row'>
                                <div className='col-5 text-end'>
                                    <img src={tokenimg} width="40" />
                                </div>
                                <div className='col text-start p-0 pt-1 fs-1'>
                                    <h1>{walletBalance.wallet_balance} Pts</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div className='container-fluid top-space'>
                    <div className='row'>
                        <div className='col-6 text-center '>
                            <div className='col-12 box box-color4 target-button'>
                                <div className='col-12' data-bs-toggle="modal" data-bs-target="#phonepe" onClick={() => verifyMobileNumber(3)}>
                                    <div className='d-flex justify-content-center align-items-center' style={{ height: "65px" }}>
                                        <div className='img-container img-shadow'>
                                            <img src={phone} width="38" className='d-flex justify-content-center align-items-center' />
                                        </div>
                                    </div>
                                    <div className='text-uppercase text-white mt-2 fw-bold'>PhonePe</div>
                                    <span className='shadow bottom-arrow'>
                                        <ArrowForwardSharpIcon />
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div className='col-6 text-center '>
                            <div className='col-12 box box-color5 target-button'>
                                <div className='col-12' data-bs-toggle="modal" data-bs-target="#phonepe" onClick={() => verifyMobileNumber(2)}>
                                    <div className='d-flex justify-content-center align-items-center' style={{ height: "65px" }}>
                                        <div className='img-container img-shadow'>
                                            <img src={gpay} width="38" className='d-flex justify-content-center align-items-center' />
                                        </div>
                                    </div>
                                    <div className='text-uppercase text-white mt-2 fw-bold'>G Pay</div>
                                    <span className='shadow bottom-arrow'>
                                        <ArrowForwardSharpIcon />
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div className='col-6 text-center'>
                            <div className='col-12 box box-color6 target-button'>
                                <div className='col-12' data-bs-toggle="modal" data-bs-target="#phonepe" onClick={() => verifyMobileNumber(1)}>
                                    <div className='d-flex justify-content-center align-items-center' style={{ height: "65px" }}>
                                        <div className='img-container img-shadow'>
                                            <img src={paytm} width="38" className='d-flex justify-content-center align-items-center' />
                                        </div>
                                    </div>
                                    <div className='text-uppercase text-white mt-2 fw-bold'>PAYTM</div>
                                    <span className='shadow bottom-arrow'>
                                        <ArrowForwardSharpIcon />
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div className="modal fade phonepeeeee" id="phonepe" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="phonepeLabel" aria-hidden="true">
                            <div className="modal-dialog modal-dialog-centered">
                                <div className="modal-content ">
                                    <div className="modal-header m-auto text-center border-0">
                                        <h5 className="modal-title" id="staticBackdropLabel">Add UPI Number</h5>
                                    </div>
                                    <div className="modal-body text-left">
                                        <div className="p-1">
                                            <h6 id="payTypeLabel">PhonePe Number</h6>
                                            <input id="phonepayn" Value={mobilencheck.phonepe_number} style={{ textAlign: "left", fontWeight: "100", backgroundColor: "transparent", borderRadius: "10px" }} className={classnames("form-control text-secondary checkdigit place mobile-valid", { 'is-invalid': phonepeerr, 'is-valid': !phonepeerr && phonepe.length })} onChange={(e) => haldleChange(e, typetype == 1 ? 'paytmn' : typetype == 2 ? 'googlepayn' : 'phonepayn')} name="phonepayn" type="number" placeholder="Mobile Number" autoComplete='off' />
                                            {phonepeerr && <small className="text-danger message">{phonepeerr}</small>}
                                        </div>
                                    </div>
                                    <div className="modal-footer border-0">
                                        <button type="button" className="btn btn-dark" style={{ fontWeight: "bold" }} data-bs-dismiss="modal">Close</button>
                                        <button type="button" id="disablephonepe" className="btn btn-dark" onClick={getotpdetails} style={{ fontWeight: "bold" }} data-bs-toggle="modal" data-bs-target="#phonepeotp">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div className="modal fade otppeeee" id="phonepeotp" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div className="modal-dialog modal-dialog-centered">
                                <div className="modal-content ">
                                    <div className="modal-header m-auto text-center border-0 d-block ">
                                        <h5 className="modal-title" id="staticBackdropLabel">Enter OTP Number</h5>
                                        <p className="h6 pt-3" style={{ fontSize: "10px", fontWeight: "100", letterSpacing: "2px", color: "gray" }}>A SMS CONTAININIG ONE TIME PASSWORD HAS BEEN SENT TO YOUR REGISTERED MOBILE NUMBER <br /> {"XXXXXX" + homed.substring(6, 10)}</p>
                                    </div>
                                    <div className="modal-body p-0">
                                        <div>
                                            <div className="typer-child m-auto ">
                                                <Input
                                                    value={payotp}
                                                    onChange={setpayotp}
                                                    numInputs={4}
                                                    type={Number}
                                                    name="payotp"
                                                    separator={<span>&nbsp;</span>}
                                                    isInputNum="true"
                                                    data-cy="true"
                                                    data-testid="true"
                                                />

                                            </div>
                                            <div className='otp-message-wall'>
                                                {(payotperr && payotp.length < 4) && <small className="text-danger main-msg-otp">{payotperr}</small>}
                                            </div>
                                        </div>
                                    </div>
                                    <div className=" form-check text-center mt-3">
                                        <label className="form-check-label  text-center" ><button to='#' id="phoneotpre" className="" onClick={(e) => ResendOtpphone(e)} style={{ textDecoration: "none", border: "none", color: '#191c21', fontSize: '11px', backgroundColor: 'white' }}>RESEND OTP ? </button></label> &nbsp;&nbsp;&nbsp;
                                    </div>
                                    <div className="modal-footer border-0 m-auto">
                                        <button type="button" className="btn btn-dark" onClick={(e) => clearphonepe(e)} style={{ fontWeight: "bold" }} data-bs-dismiss="modal">Close</button>
                                        <button type="button" id="disablephonepeotp" className="btn btn-dark" onClick={(e) => getMobileData(e)} style={{ fontWeight: "bold" }}>Verify</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <ToastContainer
                            position="bottom-center"
                            autoClose={2000}
                            hideProgressBar={false}
                            newestOnTop={false}
                            closeOnClick
                            rtl={false}
                            pauseOnFocusLoss
                            draggable={true}
                            limit={1}
                            pauseOnHover
                            theme="dark"
                            draggablePercent={60}
                        />
                    </div>
                </div>
            </div>
        </>
    )
}
export default WithdrawMethods
