import React, { useState, useEffect, Component ,useRef } from 'react'
import { NavLink, useLocation } from 'react-router-dom';
import backArrow from '../../../..//Assets/back.png'
import wallet from '../../../../Assets/wallet.png'
import { Helmet } from 'react-helmet';
import $ from 'jquery';
import DatePicker from "react-datepicker";
import "react-datepicker/dist/react-datepicker.css";
import helper from '../../../../Helper/function';
import { ToastContainer, toast } from 'react-toastify';
import Select, { components } from 'react-select';
import classnames from 'classnames';
import InfoIcon from '@mui/icons-material/InfoOutlined';
import { Co2Sharp } from '@mui/icons-material';

var newarray = []
var totalbit = 0
var check = ""
var typeOfNumber = '';
function SingleDetails() {
    window.onpopstate = function(event) {
        newarray = []
        totalbit = 0
        check = ""
        typeOfNumber = ""
        $('#staticBackdrop').hide()
        $('.modal-backdrop').remove()
        navigate(`/${process.env.USER}/redbracket`)
    }
    $(document).click(function (e) {
        if ($(e.target).is('#staticBackdrop')) {
            $('#staticBackdrop').fadeOut(250);
            $('.modal-backdrop').remove()
        }
    
    });
    const inputEl = useRef(null);
    const location = useLocation();
    const label = "label";
    const selectRef = null;
    var time = new Date();
    function formatAMPM(date) {
        var hours = date.getHours();
        var minutes = date.getMinutes();
        var ampm = hours >= 12 ? 'PM' : 'AM';
        hours = hours % 12;
        hours = hours ? hours : 12;
        minutes = minutes < 10 ? '0' + minutes : minutes;
        var strTime = hours + ':' + minutes + ' ' + ampm;
        return strTime;
    }
    let profileSessionData = sessionStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [walletBalance, setWalletBalance] = useState([]);
    let [walletupdate, setWalletUpdate] = useState('');


    const Input = props => <components.Input {...props} maxLength={1} type="tel" />;
    const [token, setToken] = useState(reqSessionData.unique_token)

    const [startDate, setStartDate] = useState(new Date());
    const [endDate, setEndDate] = useState(new Date());
    const [singleDigit, setsingleDigit] = useState(helper.getGameArray(1));
    const [value, setValue] = useState("0");
    const [bid, setSelectBid] = useState('');
    const [EvenOddArray, setEvenOddArray] = useState('');
    const [bracketType, setBracketType] = useState("half_red");

    let item_bid = 0;
    const [bidErr, setSelectBidErr] = useState('');
    const [point, setPoint] = useState('');
    const [pointErr, setPointErr] = useState('');
    const [open_time, setopen_point] = useState(location.state.open_time);
    const [close_time, setclose_point] = useState(location.state.close_time);
    const [game_id, setgame_id] = useState(location.state.game_id);
    const [game_name, setgame_name] = useState(location.state.game_name);
    let bidType = ""
    if (open_time > formatAMPM(new Date)) {
        if(check == 'Close'){
            bidType = "Close Digit"
            check = "Close"
            $("#digit").html('Close Digit')
            $("#closeRadio").attr("checked", true)
        }else{
            check = "Open"
            bidType = "Open Digit"
            $("#digit").html('Open Digit')
            $("#openRadio").attr("checked", true)
        }
    } else {
        bidType = "Close Digit"
        check = "Close"
        $("#digit").html('Close Digit')
        $("#openRadio").attr("disabled", true)
        $("#closeRadio").attr("checked", true)
    }
    const selectNumber = (e, name) => {
        const data = {};
        data[name] = e.value;
        const sessionopenValue = $("#openRadio").is(":checked");
        const sessioncloseValue = $("#closeRadio").is(":checked");
        $('.css-qc6sy-singleValue').html(e.value);
        if (sessionopenValue == true){
            $("#digit").html('Open Digit')
        }
        if(sessioncloseValue == true){
            $("#digit").html('Close Digit')
        }
        switch (name) {
            case 'select_data':
                setSelectBid(data.select_data)
        }
    }
    const Point = (e, name) => {
        const user = {};
        user[name] = e.target.value;
        let format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
        switch (name) {
            case 'point':     
                setPoint(user.point)
                if (user.point.trim() == "") {
                    setPointErr('Points EvenRequired')
                }else if(format.test(user.point) ){
                    setPointErr('Invalid Amount')
                }else if (Number(user.point) < Number(walletBalance.min_bid_amt)){
                    setPointErr(`Min ${walletBalance.min_bid_amt} Pts`)
                }else if (Number(point) > Number(walletupdate)) {
                    setPointErr('Insufficient Amount')
                }
                else if (Number(user.point) > Number(walletBalance.max_bid_amt) ){
                    setPointErr(`Max ${walletBalance.max_bid_amt}`)
                }
                else {
                    setPointErr('');
                }
                break;
            default: break;
        }
    }

    $(".removediv").unbind().click(function() {
        $(this).prop("disabled",true)
        let data_index = $(this).attr('data-id');
        let data_bid = $(this).attr('data-bid');
        let data_point = $(this).attr('data-point');
        if(newarray[data_index] != undefined){
            setWalletUpdate(Number(data_point) + Number(walletupdate));
            $(this).parents('.bottom-child-bottom-parent').find('.bottom-child-bottom').animate({
                padding: "0px",
                'margin-top':'-80px',
                'font-size': "0px"
            }, 500, function() {
                    
                $(this).parents('.bottom-child-bottom-parent').find('.bottom-child-bottom').remove()  
            });
            delete newarray[data_index]
            /* newarray = newarray.filter(Boolean); */
            if (newarray.filter(Boolean).length == 0) {
                document.getElementById("submitbutton").style.display = "none";
                $("#closeRadio").attr("disabled", false)
                $("#openRadio").attr("disabled", false)
            }
        }
        $(this).prop("disabled",false)
    });
    const convert = (str) => {
        var date = new Date(str),
            mnth = ("0" + (date.getMonth() + 1)).slice(-2),
            day = ("0" + date.getDate()).slice(-2);
        return [day, mnth, date.getFullYear()].join("/");
    }
    const getBracketNumber = async (brecket_type,bid_amount) => {
        try {
            const data = { env_type: 1, unique_token: token, brecket_type:brecket_type ,bid_amount:bid_amount}
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-red-bracket-number", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            return actualData
            setEvenOddArray(actualData)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    const getBalanceData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-user-wallet-balance", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = JSON.parse(helper.EncrptDecryptApiData(responseData, original_key, 2));

            setWalletBalance(walletBalances);
            setWalletUpdate(walletBalances.wallet_balance)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBalanceData();
    }, []);

    // getEvenArray("even",10);
    // console.log(numberType)
    let reduceAmount = point
    var newUpdatedBalance = walletupdate
    const cardGenerate = (e) => {
        let format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
        if ((point != '') && (point.length >= 2) && (point <= Number(walletupdate)) && (!format.test(point)) && (point >= Number(walletBalance.min_bid_amt)) && (point <= Number(walletBalance.max_bid_amt))) {
            getBracketNumber(bracketType,point).then((data)=>{
                if (newarray.filter(Boolean).length > 0) {
                    $("#closeRadio").attr("disabled", false)
                    $("#openRadio").attr("disabled", false)
                } else {
                    $("#closeRadio").attr("disabled", true)
                    $("#openRadio").attr("disabled", true)
                }
            newarray = [];
            if ((point != '')) {
                var dataAppend = ""
                for(let item in data.resData){
                    let cardObj = {}
                    cardObj.session = ""
                    cardObj.digits = data.resData[item]
                    cardObj.closedigits = ''
                    cardObj.points = point
                    newarray.push(cardObj)
                    totalbit += +point
                    dataAppend += ` <div class='bottom-child-bottom-parent'>
                                        <div class='bottom-child-bottom'>
                                            <div class='card-body'>
                                                <div class='card-body-child'>
                                                    <div class='sub-part'>
                                                        <div class='digit-section'>
                                                            ${check} Digit  :-
                                                        </div>
                                                        <div class='digit-section-api'>
                                                            ${data.resData[item]} 
                                                        </div>
                                                    </div>
                                                    <div class='sub-part'>
                                                        <div class='digit-section'>
                                                            Points  :-
                                                        </div>
                                                        <div class='digit-section-api'>
                                                            ${point}
                                                        </div>
                                                    </div>
                                                    <div class='sub-part-delete'>
                                                        <div class='remove-card' >
                                                            <button class="removediv"  data-id=${item} data-point=${point} data-bid=${data.resData[item]}><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" color="red" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                                            <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                                                            <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                                                            </svg> </button>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>
                                    </div>`;
                }
                $("#data-bid").html(dataAppend)
                $('.point_value').val('');
                // $('#resetBid')[0].reset();
                $("#button-dis").attr("disabled", false)
                if(data.status == true){
                    setWalletUpdate(data.wallet_balance);
                }
                document.getElementById("submitbutton").style.display = "flex";
                setPoint('')
                setSelectBid('')
                setSelectBidErr('')
                $('.css-qc6sy-singleValue').html('Select...');

            } else {
                if (bid.trim() == '') {
                    setSelectBidErr('Please select bid');
                } else if (point.trim() == "") {
                    setPointErr("Points required");
                }
                else if (point.trim() < walletBalance.min_bid_amt) {
                    setPointErr(`Min ${walletBalance.min_bid_amt} Pts`);
                }
                else if (point.trim() > walletupdate) {
                    setPointErr('Insufficient Amount')
                    setPoint('')
                } else if (point.trim() > walletBalance.max_bid_amount) {
                    setPointErr(`Max ${walletBalance.max_bid_amt} Pts`);
                    setPoint('')
                }else if(format.test(point) ){
                    setPointErr('Invalid Amount')
                }
                return false;
            }
            })
        } else {
            if (point.trim() == "") {
                setPointErr("Points required");
            }
            else if (point.trim() < walletBalance.min_bid_amt) {
                setPointErr(`Min ${walletBalance.min_bid_amt} Pts`);
            }
            else if (point.trim() > walletupdate) {
                setPointErr('Insufficient Amount')
                setPoint('')
            } else if (point.trim() > walletBalance.max_bid_amount) {
                setPointErr(`Max ${walletBalance.max_bid_amt} Pts`);
                setPoint('')
            }else if(format.test(point) ){
                setPointErr('Invalid Amount')
            }
        }
    }
    const submitGames = async (e) => {
        // alert()
        try {
            const data =
            {
                env_type: "1",
                unique_token: token,
                new_result:
                {
                    Gamename: location.state.main_games,
                    totalbit: totalbit,
                    gameid: game_id,
                    pana: "Jodi Digit",
                    second_pana:bracketType=="half_red"?"Half Red Bracket":"Full Red Bracket",
                    bid_date: walletBalance.cur_date,
                    session: "",
                    result: newarray.filter(Boolean)
                }
            }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/user-submit-bid", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            toast(actualData.message);
            $('#alertbox').hide()
            $('.modal-backdrop').remove();
            $("#data-bid").html("")
            if (open_time > formatAMPM(new Date)) {
                bidType = "Open Digit"
                $("#digit").html(bidType)
                $("#openRadio").attr("disabled", false)
                $("#closeRadio").attr("disabled", false)
                $("#openRadio").attr("checked", true)
                check = "Open"
            } else {
                bidType = "Close Digit"
                check = "Close"
                $("#digit").html(bidType)
                $("#openRadio").attr("disabled", true)
                $("#closeRadio").attr("checked", true)
            }
            document.getElementById("submitbutton").style.display = "none";
            $("#data-bid").html("");
            newarray = []
            $('.css-qc6sy-singleValue').html('Select...');

        } catch (err) {
            console.log("Your Error is", err);
        }

    }
    function checkBox(e, name) {
        if (name == "close") {
            $("#digit").html('Close Digit')
            $("#closeRadio").attr("checked", true)
            check = 'Close'
        } else {
            $("#digit").html('Open Digit')
            $("#openRadio").attr("checked", true)
            check = 'Open'
        }
    }
    function checkRedBracket(e, type) {
        if (type == "half") {
            $("#halfRadio").attr("checked", true)
            setBracketType('half_red')
        } else {
            $("#fullRadio").attr("checked", true)
            setBracketType('full_red')
        }
    }
    function clear() {
        $("#data-bid").html("");
        newarray = []
        totalbit = 0;               
        check = '';
        typeOfNumber = '';
    }
    if(bracketType == 'half_red'){
        $("#halfRadio").attr("checked", true)
    }else{
        $("#fullRadio").attr("checked", true)
    }
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>


            <div class="col-sm-4 m-auto">

                <div className='container-details'>
                    <div className='resposive'>
                        <div className='container-child-upper'>
                            <div className='header'>
                                <NavLink exact to={`/${process.env.USER}/game`} onClick={clear} state={{ game_name: location.state.main_games, game_id: location.state.game_id, open_time: location.state.open_time, close_time: location.state.close_time }} className='back-arrow'>
                                    <img src={backArrow} alt="back-arrow" class="w-50" />
                                </NavLink>
                                <div className='header-text '>
                                    Red Bracket
                                </div>                               
                                <div className='profile-icon'>
                                    <img src={wallet} alt="profile" />
                                    <div className='text'>
                                        {walletupdate}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div className='container-child-bottom'>
                            <div className='bottom-child-upper' style={{height:"375px !important"}}>
                                <div className='main-body'>
                                    <form id="resetBid">
                                        <div className='upper-body'>
                                            <div className='upper'>
                                                <div className='upper-upper'>
                                                    Date
                                                </div>
                                                <div className='upper-bottom'>
                                                    <input type="text" id="start" name="trip-start"
                                                        value={convert(startDate)} disabled />
                                                  </div>

                                            </div>
                                            
                                        <div className='bottom'>
                                                <div className='bottom-upper d-flex'>
                                                    <span>Choose Bracket</span>
                                                    <a data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                                                        <div className='' style={{margin: "0px 0px 5px -16px"}}>
                                                            <i className="icons"><InfoIcon fontSize="small" /></i>
                                                        </div>
                                                    </a>
                                                </div>                                            
                                            <div className='bottom-bottom mt-1'>
                                                <div className='main-bottom'>
                                                    <div className='col-12 row'>
                                                        <div className='col-6 d-flex '>
                                                            <input type="radio" className='input-radio' id="halfRadio" name="halffull" onClick={(e) => checkRedBracket(e, 'half')}  /><span className="radioSet">Half Red Bracket</span>
                                                        </div>
                                                        <div className='col-6 d-flex'>
                                                            <input type="radio" className='input-radio' id="fullRadio" name="halffull" onClick={(e) => checkRedBracket(e, 'full')} /><span className="radioSet">Full Red Bracket</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div className='bottom '>
                                            <div className='bottom-upper'>
                                                Points
                                            </div>
                                            <div className='bottom-bottom'>
                                                <input id="clearvalid" type="number" className={classnames("form-control only_number point_value", { 'is-invalid': pointErr, 'is-valid': !pointErr && point.length > 1 })} placeholder='Enter Points' onChange={(e) => Point(e, 'point')} name="point" />
                                            </div>
                                        </div>
                                        {pointErr && <small className="text-danger message">{pointErr}</small>}
                                        
                                        </div>
                                        <div className='bottom-body mt-4'>
                                            <div className='button target-button' onClick={cardGenerate}>
                                                PROCEED
                                            </div>
                                            <div id="submitbutton" style={{ display: "none" }} className='button target-button' data-bs-toggle="modal" data-bs-target="#alertbox" >
                                                SUBMIT
                                            </div>
                                        </div>
                                    </form>
                                </div>

                            </div>
                            <div className='bottom-child-bottom'>

                            </div>
                        </div>
                    </div>

                </div>




            </div>

            <div className="data-bid" id="data-bid" style={{overflowY:"scroll", height:"34%"}}>
            </div>

            <div className="modal fade" id="alertbox" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="paytmLabel" aria-hidden="true">
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content ">
                        <div className="modal-header m-auto text-center border-0">
                            <h5 className="modal-title" id="staticBackdropLabel">Place Bid Alert!</h5>
                        </div>
                        <div className="modal-body text-left">
                            <div className="p-1">
                                <h6>Once you Placed a Bid You Can't cancel it do you want to place..?</h6>

                            </div>
                        </div>
                        <div className="modal-footer border-0">
                            <button type="button" className="btn btn-dark" style={{ fontWeight: "bold" }} data-bs-dismiss="modal">Close</button>
                            <button type="button" onClick={(e) => submitGames(e)} className="btn btn-dark" style={{ fontWeight: "bold" }} >Submit</button>
                        </div>
                    </div>
                </div>
            </div>
            <ToastContainer
                position="bottom-center"
                autoClose={3000}
                hideProgressBar={false}
                newestOnTop={false}
                closeOnClick
                rtl={false}
                pauseOnFocusLoss
                draggable={true}
                limit={1}
                pauseOnHover
                theme="dark"
                draggablePercent={60}
            />
            
            <div className="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content">
                        <div className="modal-body text-left">
                            <div className="modal-body custom-modal-style text-left">
                                <div className="p-1">
                                        <div>
                                            <h6 className="gametype-heading">Half Red Bracket</h6> 
                                            <p className='gametype-content-up justify-content-space-between'>05, 16, 27, 38, 49, 50, 61, 72, 83, 94</p>
                                            <hr className='m-0 p-0' style={{color:'#FFC000',size:"20",opacity:"2.5",height:"2px"}}></hr>
                                        </div>                            
                                        <div>                                
                                            <h6 className="gametype-heading">Full Red Bracket</h6> 
                                            <p className='gametype-content-down justify-content-space-between'>00, 11, 22, 33, 44, 55, 66, 77, 88, 99</p>
                                        </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </>
    )
}

export default SingleDetails;