import React from 'react'
import { NavLink, useLocation} from 'react-router-dom';
import backArrow from '../../../Assets/back.png';
import {Helmet} from 'react-helmet';

function GameChart() {
    const location = useLocation();
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;"/>
            </Helmet>
            <div className='col-sm-4 m-auto'>
            <div className="container-fluid" style={{ backgroundColor: "#191c21" }}>
                    <div className="d-flex row pt-1">
                        <div className="col-1  p-1">
                            <NavLink to={`/${process.env.USER}/home`} className="NavLink py-1"><img src={backArrow} width="30px" /></NavLink>
                        </div>
                        <div className="col-11 center  p-1 ">
                            <h5 className="py-1 d-flex justify-content-left align-items-center">Slider Redirect</h5>
                        </div>
                    </div>
            </div>

            <div className='w-100'>
                    <div className="col-sm-12 h-100">
                    <iframe src={location.state} style={{height:"86vh", width:"100%"}}></iframe>
                    </div>
            </div>
            </div>

           
        </>
    )
}

export default GameChart



















